# Gimp.Image.set_selected_layers

    @accepts(Gimp.Image, [Gimp.Layer])
    @returns(bool)
    def set_selected_layers(self, layers):
        # Python wrapper for gimp_image_set_selected_layers()

Sets the specified image's selected layers.

The layers are set as the selected layers in the image. Any previous selected layers or channels are unselected. An exception is a previously existing floating selection, in which case this procedure will return an execution error.

Since 3.0.0

self

  The image.

layers

  The list of layers to select.

Returns